import type { MenuModule } from '/@/router/types';
import { t } from '/@/hooks/web/useI18n';

const menu: MenuModule = {
  orderNo: 1,
  menu: {
    path: '/permission',
    name: t('routes.permission.management'),
    children: [
      {
        path: 'admin',
        name: t('routes.permission.admin'),
      },
      {
        path: 'logs',
        name: t('routes.permission.logs'),
      },
      {
        path: 'group',
        name: t('routes.permission.group'),
      },
      {
        path: 'rule',
        name: t('routes.permission.rule'),
      },
    ],
  },
};
export default menu;
